# Get Player Level Progression GET /api/v1/player/level-progression/ Retrieves comprehensive level progression information for the authenticated player, including current level, XP progress, next level details, and daily XP statistics. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/player-statistics/player-level-progression ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/player/level-progression/: get: operationId: player-level-progression summary: Get Player Level Progression description: >- Retrieves comprehensive level progression information for the authenticated player, including current level, XP progress, next level details, and daily XP statistics. tags: - subpackage_playerStatistics responses: '200': description: Level progression information retrieved successfully content: application/json: schema: $ref: '#/components/schemas/PlayerProgression' '404': description: Player not found content: application/json: schema: description: Any type components: schemas: ExperienceLevel: type: object properties: level: type: integer label: type: string emoji: type: string icon: type: - string - 'null' description: Optional icon URL or identifier xp_required: type: integer description: Total XP needed to reach this level description: type: - string - 'null' required: - level - label - xp_required description: Serializer for experience level information title: ExperienceLevel PlayerProgression: type: object properties: username: type: string total_xp: type: integer experience_updated_at: type: string format: date-time current_level: $ref: '#/components/schemas/ExperienceLevel' next_level: oneOf: - $ref: '#/components/schemas/ExperienceLevel' - type: 'null' progression: type: object additionalProperties: description: Any type daily_stats: type: object additionalProperties: description: Any type required: - username - total_xp - experience_updated_at - current_level - next_level - progression - daily_stats description: Serializer for player's level progression data title: PlayerProgression ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/player/level-progression/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/player/level-progression/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/player/level-progression/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/player/level-progression/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/player/level-progression/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/player/level-progression/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/player/level-progression/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/player/level-progression/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```